*:before,
*:after,
* {
    font-family: "SNPro", sans-serif;
    letter-spacing: -.03em;
    box-sizing: border-box;
    line-height: inherit;
    font-weight: inherit;
    font-style: inherit;
    font-size: inherit;
    transition: .2s;
    outline: none;
    padding: 0;
    margin: 0;
    border: 0;
}

* {
    background-color: transparent;
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    text-decoration: none;
    list-style: none;
}

svg {
    width: 1em;
    height: 1em;
}

body {
    font-size: 15px;
    color: #171717;
    line-height: 125%;
    background: #fafafa;
}

.module_loading {
    min-height: 24px;
    position: relative;
    overflow: hidden!important;
    color: transparent!important;
    border-color: transparent!important;
}

.module_loading:after {
    content: '';
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 9;
    height: 100%;
    min-height: 24px;
    position: absolute;
    border-radius: 4px;
    background-size: 200% 100%;
    animation: 1.5s ease-in-out infinite reverse module_loading;
    background: linear-gradient(90deg, #f2f2f2, #ebebeb, #f2f2f2) 0 0 / 50% 100%;
}

.module_loading > *,
.module_loading:before {
    opacity: 0!important;
    visibility: hidden!important;
}

@keyframes module_loading {
    0% {
        background-position: 0% 0;
    }
    100% {
        background-position: 100% 0;  /* Смещаем фон, а не элемент */
    }
}

main {
    width: 100%;
    margin: 0 auto;
    max-width: 1200px;
}



save.module_waiting {
    cursor: no-drop;
    color: transparent;
    position: relative;
    opacity: 1!important;
    background: #ebebeb;
}

save.module_waiting:before {
    content: 'Загрузка.';
    top: 50%;
    left: 16px;
    color: #666;
    font-weight: 500;
    position: absolute;
    transform: translateY(-50%);
    animation: 1.5s ease-in-out infinite reverse module_waiting_text;
}

@keyframes module_waiting_text {
    25% {
        content: 'Загрузка..';
    }
    50% {
        content: 'Загрузка...';
    }
    75% {
        content: 'Загрузка..';
    }
    100% {
        content: 'Загрузка.';
    }
}





header {
    top: 0;
    z-index: 99;
    height: 56px;
    display: flex;
    padding: 0 24px;
    position: sticky;
    align-items: center;
    backdrop-filter: blur(8px);
    justify-content: space-between;
    border-bottom: 1px solid #f2f2f2;
    background: rgb(250 250 250 / 64%);
}

header subpage {
    gap: 8px;
    width: 160px;
    height: 40px;
    display: flex;
    color: #333;
    cursor: pointer;
    padding: 0 16px;
    font-size: 14px;
    font-weight: 500;
    border-radius: 8px;
    align-items: center;
    border: 1px solid #f2f2f2;
    justify-content: space-between;
}

header subpage:hover {
    background: #fafafa;
}

header subpage svg {
    font-size: 20px;
}

header subpage.module_loading ~ h1:after {
    content: '.';
    left: 100%;
    position: absolute;
    animation: 1.5s ease-in-out infinite reverse module_loading_text;
}

@keyframes module_loading_text {
    25% {
        content: '..';
    }
    50% {
        content: '...';
    }
    75% {
        content: '..';
    }
    100% {
        content: '.';
    }
}

header subpages {
    top: 9px;
    left: 24px;
    opacity: 0;
    padding: 4px;
    display: flex;
    min-width: 160px;
    margin-top: -1px;
    visibility: hidden;
    position: absolute;
    background: #fff;
    border-radius: 8px;
    flex-direction: column;
    border: 1px solid #ebebeb;
}

header subpages.view {
    opacity: 1;
    visibility: visible;
}

header subpages item {
    width: 100%;
    height: 34px;
    display: flex;
    cursor: pointer;
    padding: 0 12px;
    font-size: 14px;
    color: #171717;
    font-weight: 500;
    border-radius: 4px;
    align-items: center;
}

header subpages item:hover {
    background: #f2f2f2;
}

header h1 {
    top: 50%;
    left: 50%;
    font-weight: 500;
    position: absolute;
    transform: translate(-50%, -50%);
}





main {
    gap: 32px;
    display: flex;
    padding: 32px 24px;
    flex-direction: column;
}

main save {
    color: white;
    display: block;
    cursor: pointer;
    padding: 0 16px;
    font-size: 13px;
    font-weight: 500;
    line-height: 32px;
    border-radius: 4px;
    background: #0e0e0e;
}

main save:hover {
    opacity: .8;
}

main > * {
    width: 100%;
}

.block {
    padding: 24px;
    margin: 0 auto;
    overflow: hidden;
    max-width: 1200px;
    background: #fff;
    border-radius: 8px;
    border: 1px solid #ebebeb;
}

.block h2 {
    flex: 100%;
    width: 100%;
    font-size: 20px;
    font-weight: 600;
    margin-bottom: 24px;
}

.fields {
    gap: 16px;
    display: flex;
    flex-wrap: wrap;
}

.fields > form-field {
    flex: 35%;
    max-width: calc(50% - 8px);
}

.fields > form-field.full {
    flex: 100%;
    max-width: 100%;
}

.block .footer {
    margin: -24px;
    display: flex;
    margin-top: 24px;
    padding: 12px 24px;
    align-items: center;
    background: #fafafa;
    justify-content: space-between;
    border-top: 1px solid #f2f2f2;
}





form-repeater {
    width: 100%;
}

form-button {
    min-width: 95px;
}

form-modal {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    opacity: 0;
    padding: 16px;
    z-index: 9999;
    display: flex;
    position: fixed;
    visibility: hidden;
    justify-content: flex-end;
    backdrop-filter: blur(8px);
    background: rgb(250 250 250 / 64%);
}





section {
    margin: 0 auto;
    max-width: 1200px;
}

section .line {
    gap: 16px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

section h2 {
    font-size: 24px;
    font-weight: 600;
}

section .line + p {
    color: #888;
    margin-top: 16px;
    font-weight: 400;
}

section create {
    display: flex;
    color: white;
    cursor: pointer;
    padding: 0 24px;
    font-weight: 500;
    line-height: 40px;
    border-radius: 4px;
    background: #0e0e0e;
}

section create:hover {
    opacity: .8;
}